import 'package:puma/puma.dart';

Future<void> main(List<String> args) async {
  final options = parseArgs(args);
  final manager = PubspecManager(
    hostUrl: options.pubHostUrl,
    runPubGet: options.runPubGet,
  );
  await manager.init();
  if (options.installWasParsed) {
    await manager.install(options.install, dev: options.devDependencies);
  } else if (options.deleteWasParsed) {
    await manager.delete(options.delete);
  } else if (options.nextBreakingVersionWasParsed) {
    await manager.nextBreakingVersion();
  } else if (options.nextMajorWasParsed) {
    await manager.nextMajorVersion();
  } else if (options.nextMinorWasParsed) {
    await manager.nextMinorVersion();
  } else if (options.nextPatchWasParsed) {
    await manager.nextPatchVersion();
  } else if (options.runPubGetWasParsed) {
    await manager.pubGet();
  } else {
    print('puma <options>');
    print('');
    print(generateUsage());
  }
}
